@font-face {
    font-family: Staatliches;
    src: url(../fonts/Staatliches-Regular.ttf);
    font-weight: 300;
}

:root {
    --primary: #247FAE;
    --primaryDark: #23AAE0;
    --primaryDarkness: #186088;
    --accent: #64DCD0;
    --accentDark: #4DB6AC;
}

body {
    margin: 0;
    font-family: 'Google Sans', 'Jost', sans-serif;
    text-rendering: optimizeLegibility;
    font-size: 15px;
    font-weight: 400;
    line-height: 1.5;
    color: #333;
    background: #ECF0F5;
}

body:after {
    content: "";
    width: 100%;
    height: 200px;
    background: var(--primaryDark);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

img {
    width: 100%;
}

a,
a:link,
a:visited {
    color: #333;
    text-decoration: none;
}

h1.judul {
    font-family: 'Staatliches', sans-serif;
}

/* ICON */

/* NAV HEADER */
nav.right {
    position: absolute;
    top: 0;
    left: 0;
    height: 50px;
    width: 100%;
    box-sizing: border-box;
    margin-top: -70px;

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 30px;
}

nav.right ul,
nav.right ul li {
    margin: 0;
    padding: 0;
    list-style: none;
    display: inline-block;
}

nav.right a,
nav.right a:link,
nav.right a:visited {
    font-size: 20px;
    margin: 0 2px;
    color: #FFF;
    display: inline-block;
    width: 35px;
    height: 35px;
    line-height: 38px;
    border-radius: 50%;
    box-sizing: border-box;
    text-align: center;
    transition: all .2s linear;
}

nav.right a:hover {
    background-color: var(--primaryDarkness);
}

nav.right input {
    height: 30px;
    line-height: 30px;
    padding: 0;
    border: 0;
    background: transparent;
    font-family: inherit;
    width: 400px;
    outline: 0;
    color: #FFF;
    font-size: 1.1em;
    letter-spacing: 1px;
}

nav.right form i {
    position: relative;
    color: #FFF;
    margin-right: 10px;
}

nav.right input::placeholder {
    color: #EEE;
}

nav.right img {
    background-color: #FFF;
    height: 32px;
    width: 32px;
    object-fit: cover;
    border-radius: 50%;
    position: relative;
    top: -2px
}

nav.right img.default {
    padding: 1px
}

.wrap {
    padding: 0;
    height: auto;
    display: flex;
}

.wrap-left {
    min-width: 250px;
    max-width: 250px;
    min-height: 100vh;
    background: #FFF;
    text-align: center;
    position: sticky;
    top: 0;
}

.wrap-right {
    position: relative;
    width: 100%;
    height: auto;
    min-height: 400px;
    margin-top: 70px;
    padding: 30px;
    box-sizing: border-box;
}

.menu-mobile {
    display: none;
}

.menu-top {
    padding: 30px 0;
    border-bottom: solid 1px #eee;
}

.menu-top img {
    height: auto;
    width: 60px;
    object-fit: contain;
    display: inline-block;
    margin: 15px 0 0;
}

.menu-top h4 {
    margin: 20px 0 5px;
    font-size: 1.2em;
    font-weight: 500;
}

.menu-top p {
    margin: 0;
    color: #666;
}

.menu-top button {
    display: none;
}

/* Main Menu*/
.menu-bottom {
    position: sticky;
    top: 0;
    padding: 20px 15px 30px
}

.menu-bottom .bi {
    margin-right: 15px;
}

.menu-bottom a,
.menu-bottom div.menu {
    display: block;
    font-weight: 500;
    margin-bottom: 3px;
    border-radius: 10px;
    height: 35px;
    line-height: 35px;
    text-align: left;
    padding: 0 20px;
    position: relative;
    cursor: pointer;
    transition: all .2s linear;
}

.menu-bottom a:hover,
.menu-bottom a.active,
.menu-bottom div.menu:hover,
.menu-bottom div.menu.active {
    color: #FFF;
    background: var(--primary);
}

.menu-bottom .divider {
    height: 1px;
    background: #EEE;
    margin: 8px 10px 8px 53px;
}

.menu-bottom .icon {
    width: 25px;
    display: inline-block;
}

/* Dropdown Menu */
.menu {
    position: relative;
}

.menu:hover .menu-dropdown {
    display: block;
}

.menu-dropdown {
    position: absolute;
    width: 70%;
    top: 0;
    right: 2px;
    transform: translate(0, 36px);
    background: #FFF;
    border: solid 1px #E1E1E1;
    border-radius: 4px;
    box-shadow: 0 1px 10px #55555520;
    z-index: 999 !important;
    padding: 5px 0;
    margin: 0;
    display: none;
    transition: all .2s linear;
}

.menu-dropdown a {
    padding: 0 10px 0 10px
}

.menu-dropdown li {
    padding: 0;
    margin: 0;
    list-style: none;
}

/* Content */
h1.title {
    text-align: left;
    letter-spacing: 1px;
    color: #FFF;
    margin: 0 0 20px;
    font-weight: 500;
    font-size: 1.7em;
}

.back-content {
    background: #FFF;
    box-sizing: border-box;
    padding: 20px;
    min-height: 300px;
    margin-bottom: 50px;
    border-radius: 12px;
    box-shadow: 0 2px 15px #55555510;
}

.button-top,
.button-top:link,
.button-top:visited {
    position: absolute;
    top: 24px;
    left: 30px;
    height: 38px;
    width: 38px;
    line-height: 46px;
    text-align: center;
    font-size: 2em;
    border: 0;
    outline: 0;
    border-radius: 50px;
    background-color: #FFF;
    z-index: 5;
    transition: all .3s ease-in-out;
}

.button-top:active,
.button-top:focus {
    outline: 0;
}

.button-top.edit {
    left: 75px;
    font-size: 1.3em;
    background-color: #fdb519;
    color: #FFF;
}

.button-top.delete {
    left: 120px;
    font-size: 1.6em;
    background-color: #d81919;
    color: #FFF;
}

.button-top.import {
    left: 75px;
    background-color: #96d44f;
    color: #FFF;
    line-height: 40px !important;
}

.button-top.import.add {
    font-size: 1.7em;
    line-height: 42px !important;
}

.button-top:hover {
    background-color: var(--primaryDarkness) !important;
    color: #FFF;
}

.button-top:hover,
.button-top:active {
    outline: 0;
}

.button-top + h1.title {
    position: relative;
    left: 55px;
    display: inline-block;
}

.button-top.import + h1.title {
    left: 105px;
    width: calc(100% - 105px);
}

.button-top.delete + h1.title {
    left: 150px;
    width: calc(100% - 150px);
}

.button-top.small-icon {
    font-size: 1.6em;
    line-height: 42px;
}

/* Dashboard */
.dashboard-content h3 {
    font-size: 1.3em;
    color: #F4F4F4;
}

.dashboard-content h4 {
    font-size: 1.2em;
    color: #F4F4F4;
}

.dashboard-content h4 > .badge {
    padding: 0 .5em;
    line-height: 20px;
    font-size: 12px;
    position: relative;
    top: -2px;
    left: 5px;
}

.back-white {
    background-color: #FFF;
    display: inline-block;
    width: auto;
    padding: 10px 15px;
    border-radius: 8px;
    box-shadow: 0 1px 6px #33333320;
}

.statistik a,
.list a.card,
.list .card {
    width: 100%;
    display: block;
    margin-bottom: 15px;
    padding: 20px 10px;
    border-radius: 10px;
    box-shadow: 0 2px 8px #33333315;
    background-color: #FFF;
    text-align: center;
    font-size: 1.2em;
}

.terlaris > div {
    width: 100%;
    display: block;
    margin-bottom: 15px;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0 2px 8px #33333315;
    background-color: #FFF;
    text-align: center;
    font-size: 1.2em;
}

.terlaris > div .table {
    font-size: 14px;
}

/* Gallery Page */
.gallery {
    margin-right: -10px;
    display: flex;
    flex-wrap: wrap;
}

.media {
    width: calc(25% - 10px);
    margin: 0 10px 20px 0;
    height: auto;
    background: #FFF;
    border-radius: 12px;
    display: inline-block;
    overflow: hidden;
    box-shadow: 0 0 5px #00000006;
    transition: all .3s ease-in-out;
}

.media:hover {
    transform: translateY(-3px);
    box-shadow: 0 0 10px #00000020;
}

.media:hover > .wrap-img img {
    filter: brightness(100%);
}

.media .wrap-img {
    position: relative;
    height: 200px;
}

.wrap-img img {
    height: 200px;
    object-fit: cover;
    filter: brightness(85%);
    transition: all .2s linear;
}

.wrap-img .toko {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 1;
    font-weight: normal;
    font-size: 14px;
    border-radius: 8px;
    background-color: #148bf5CC;
    height: 23px;
    line-height: 23px;
    padding: 0 8px !important
}

.wrap-img span {
    position: absolute;
    top: 10px;
    right: 5px;
    font-size: .8em;
    background: #FFFFFF70;
    padding: 2px 6px;
    border-radius: 8px;
}

.wrap-img .best-seller {
    position: absolute;
    right: 10px;
    top: 38px;
    z-index: 1;
    font-size: 14px;
    border-radius: 8px;
    background-color: #ffff00CC;
    color: #444;
    height: 23px;
    line-height: 23px;
}


.media h3 {
    margin: 10px 0 5px;
    padding: 0 10px;
    font-size: 15px;
    font-weight: 500;
    line-height: 1.4;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.media h4 {
    margin: 0 0 10px;
    padding: 0 10px;
    font-size: 13px;
    font-weight: normal;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

/* Info Bottom */
.info {
    position: fixed;
    bottom: 20px;
    left: calc(50% - 40px);
    transform: translate(0, -50%);
    font-size: .9em;
    color: #888;
    z-index: -1;
}

/* FORM */
.form .custom-control-inline {
    margin-right: 25px
}

.form label.custom-control-label {
    color: #333;
    font-size: 1em
}

.form label.error {
    color: #bf1414;
}

.form label {
    font-size: 12px;
    color: #666;
    margin-bottom: 0.3em;
}

.form input,
.form textarea {
    font-family: inherit;
    margin-bottom: 20px;
    border-radius: 6px;
}

.form input[type='file'] {
    border-radius: 0;
}

.form button {
    border-radius: 6px;
    font-size: 1em;
    font-family: inherit;
    padding-left: 20px;
    padding-right: 20px;
}

.btn-del {
    outline: 0 !important;
    border: 0;
    color: #FFF;
    height: 30px;
    width: 30px;
    line-height: 32px;
    text-align: center;
    padding: 0 !important;
    border-radius: 10px !important;
    position: absolute;
    right: 23px;
    margin-top: 8px;
}

.form #img,
.form #image,
.form #image2,
.form #image3,
.form #img-berita {
    width: 100%;
    background-color: #F5F5F5;
    border: solid 2px #f1f1f1;
    margin-bottom: 30px;
    border-radius: 6px;
    text-align: center;
    box-shadow: 0 2px 10px #33333310;
}

.no-img {
    height: 150px !important;
    object-fit: contain;
    background-color: #EEEEEE;
}

.alert {
    border-radius: 10px;
    box-shadow: 0 2px 15px #55555530;

}

.alert b::after {
    content: ", ";
}

/* LISTING DATA */
.list-media {
    position: relative;
    border: solid 1px #F5F5F5;
    background-color: #F5F5F5;
    border-radius: 10px;
    padding-right: 20px;
    margin-bottom: 20px;
    overflow: hidden;
    cursor: default;
    transition: all .2s linear;
}

.list-media:hover {
    box-shadow: 0 1px 10px #33333315
}

.list-media:hover > .wrap {
    opacity: 1;
}

.list-media img {
    width: 180px;
    height: 140px;
    object-fit: cover;
    float: left;
    margin-right: 10px;
}

.list-media h5 {
    font-size: 1.1em;
    margin-top: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    display: -moz-box;
    -webkit-box-orient: vertical;
    -moz-box-orient: vertical;
}

.list-media p {
    color: #666;
    line-height: 1.6;
    font-size: 0.9em;
    margin: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: justify;

    display: -webkit-box;
    display: -moz-box;
    -webkit-box-orient: vertical;
    -moz-box-orient: vertical;
}

.list-media a:hover h5 {
    color: var(--primary);
}

.list-media .wrap {
    position: absolute;
    top: 4px;
    right: 0;
    opacity: 0;
    transition: all .2s linear
}

.list-media .button-top.edit,
.list-media .button-top.delete {
    position: relative;
    margin-right: 5px;
    left: unset;
    top: unset;
    font-size: 20px;
    height: 32px;
    width: 32px;
    line-height: 35px;
    color: #FFF
}

.table tr td {
    line-height: 1.5;
    vertical-align: middle;
    cursor: default;
}

.table img {
    width: 60px;
    height: 40px;
    border-radius: 6px;
    object-fit: cover;
    border: solid 1px #CCC;
}

.table .logo-method {
    border: none;
    border-radius: 0;
    width: 20px;
    height: 20px;
    position: absolute;
    margin-left: 10px;
}

.table p.desc {
    overflow: hidden;
    text-overflow: ellipsis;

    display: -webkit-box;
    display: -moz-box;
    -webkit-box-orient: vertical;
    -moz-box-orient: vertical;
}

.table tbody tr:hover .wrap {
    opacity: 1;
}

.table .wrap {
    display: inline-block;
    position: absolute;
    right: 10px;
    top: 17px;
    opacity: 0;
    transition: all .2s linear;
}

.table .wrap .more,
.table .wrap .edit,
.table .wrap .detail,
.table .wrap .delete {
    color: white;
    border-radius: 50%;
    width: 32px;
    height: 32px;
    line-height: 34px;
    font-size: 20px;
    padding: 0;
    margin: 0;
    cursor: pointer;
    transition: all .2s linear;
}

.table .wrap .more {
    background: var(--info);
}

.table .wrap .detail {
    background: var(--primary);
}

.table .wrap .edit {
    background: var(--warning);
}

.table .wrap .delete {
    background: var(--danger);
}

.table .wrap .more:hover,
.table .wrap .edit:hover,
.table .wrap .detail:hover,
.table .wrap .delete:hover {
    background-color: var(--primaryDarkness) !important;
}

.table-sort th {
    cursor: pointer;
}

.table-sort th > img {
    border: none;
    width: 13px;
    height: 13px;
    border-radius: 0;
    object-fit: contain;
    filter: brightness(200%)
}

.table .btn-action {
    font-size: 1rem !important;
    color: #00000050;
    height: 32px;
    width: 32px;
    padding: 0;
    margin-left: 6px;
    border-radius: 12px;
    transition: all .4s ease;
}

.table .btn-action:hover {
    background-color: #00000010;
    color: #2faaef;
}

/* List.js */
.sort::after {
    position: absolute;
    margin-left: 6px;
    font-family: 'bootstrap-icons' !important;
    font-style: normal;
    font-weight: normal;
    text-transform: none;
    font-variant: normal;
    line-height: 1;
}

.sort::after {
    content: "\f127";
    font-size: 11px;
    margin-left: 10px;
    margin-top: 6px;
    color: #000000AA;
}

.sort.asc,
.sort.desc,
.sort.asc::after,
.sort.desc::after {
    color: var(--primary) !important;
    margin-left: 6px;
}

.sort.asc::after {
    content: "\f145" !important;
    font-size: 19px;
    margin-top: 2px !important;
}

.sort.desc::after {
    content: "\f124" !important;
    font-size: 19px;
    margin-top: 2px !important;
}

.pagination li {
    display: inline-block;
    padding: 0;
    margin-right: 5px;
    border-radius: .75rem;
    background-color: #EEE;
    box-sizing: border-box;
    transition: all .3s linear;
}

.pagination li > a {
    position: relative;
    height: 2rem;
    min-width: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #7e8299;
    font-size: .9rem;
    font-weight: 500;
    line-height: 1rem;
    cursor: pointer;
    transition: color .15s ease, background-color .15s ease, border-color .15s ease, box-shadow .15s ease;
}

.pagination li:hover {
    background-color: var(--primaryDark);
}

.pagination li:hover > a {
    color: #FFF;
}

.pagination li.active {
    background-color: var(--primary);
}

.pagination li.active > a {
    color: #fff;
}

.pagination-show {
    height: 2rem;
    color: #7e8299;
    cursor: pointer;
    font-size: 1rem;
    font-weight: 500;
    padding: 0 .6rem;
    border: 0 !important;
    margin-right: 10px;
    background-color: #ecf1f6;
    border-radius: .75rem;
    transition: all .3s ease;
}

.pagination-show:hover {
    background-color: #0bb78340;
}

/* Wrap list */
.wrap-list {
    display: block;
    padding: 5px 0;
}

.wrap-list .list {
    display: flex;
    border-bottom: solid 1px #F5F5F5;
    box-sizing: border-box;
    padding-bottom: 12px;
    margin-bottom: 12px;
    position: relative;
}

.wrap-list .list:last-child {
    border: 0;
    padding-bottom: 0;
    margin-bottom: 0;
}

.wrap-list .list img {
    width: 60px;
    height: 60px;
    object-fit: cover;
    border-radius: 12px;
    margin-right: 10px;
}

.wrap-list .list b {
    font-size: 16px;
    display: block;
    width: 100%;
}

.wrap-list .list .d-block {
    width: calc(100% - 70px);
}

.wrap-list .list .badge {
    font-size: 13px;
    height: 20px;
    line-height: 21.5px;
    width: auto;
    padding: 0 5px;
    top: -1px;
    position: relative;
    border-radius: 4px;
}

.input-icon {
    position: relative;
}

.input-icon > i {
    position: absolute;
    top: 0.45rem;
    left: 0.70rem;
    color: #888;
}

.input-icon > input {
    padding-left: 2.2rem;
}

/* Table on card */
.card-table {
    padding-left: 0;
    padding-right: 0;
}

.card-table .table th,
.card-table .table td {
    vertical-align: middle;
    cursor: default;
    color: #333;
}

.card-table .table.table-link tbody td {
    cursor: pointer;
}

.card-table .table tr:hover > td {
    color: #000;
}

.card-table .table th {
    cursor: pointer;
    font-size: 15px;
    user-select: none;
    font-weight: bold;
    color: #000000AA;
}

.card-table .table .btn-action {
    font-size: 1rem !important;
    color: #00000050;
    height: 32px;
    width: 32px;
    padding: 0;
    margin-left: 6px;
    transition: all .4s ease;
}

.card-table .table .btn-action:first-child {
    margin-left: 0;
}

.card-table .table .btn-action:hover {
    background-color: #00000010;
    color: #2faaef;
}

.card-table .icon-arrow {
    position: absolute;
    margin-left: -35px;
    margin-top: -2px;
    font-size: 17px;
    color: #BBB;
}

.table > :not(:last-child) > :last-child > * {
    border-bottom-color: inherit;
}

.list a.card,
.list .card {
    border-color: #33333310;
    text-align: unset;
    font-size: 1em;
    padding: 0;
    overflow: hidden;
    border-radius: 8px;
}

.link-external {
    border: dashed 1px #777;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    border-radius: 5px;
}

#banner .table img {
    width: 100%;
    height: 120px;
}

/* DETAIL */
.berita-detail .col-sm-4 > img,
.berita-detail .col-sm-6 > img,
.data-detail img {
    border-radius: 10px;
    box-shadow: 0 1px 10px #33333315;
    margin-bottom: 20px;
}

.berita-detail .col-sm-8 > p,
.berita-detail .col-sm-6 > p {
    white-space: pre-wrap;
    text-align: justify;
    line-height: 1.5;
}

.berita-detail h5 {
    font-size: 1.2em;
    line-height: 1.5;
}

.berita-detail .best-seller {
    position: absolute;
    right: 27px;
    top: 15px;
    cursor: default;
    font-size: 13px;
    letter-spacing: 1px;
    background-color: #ffff00CC;
    color: #444;
    border-radius: 8px;
    box-shadow: 0 1px 6px #66666670;
}

.berita-detail .stok {
    position: absolute;
    right: 27px;
    top: 15px;
    cursor: default;
    font-size: 13px;
    letter-spacing: 1px;
    border-radius: 8px;
    box-shadow: 0 1px 6px #66666670;

    padding: 0 8px;
    height: 26px;
    line-height: 26px;
}

.berita-detail .best-seller + .stok {
    top: 50px;
}

.tags {
    display: inline-block;
    background-color: #EEE;
    padding: 6px 15px;
    border-radius: 20px;
    margin-top: 10px;
    margin-right: 10px;
    cursor: default;
}

.data-detail h5 {
    line-height: 1.5;
    cursor: default
}

.data-detail a:hover {
    color: var(--primary);
}

ul.service {
    margin: 0;
    padding: 0;
}

ul.service li {
    list-style: none;
    line-height: 1.6
}


/* Pengaturan */
.pengaturan {
    cursor: default;
    overflow: hidden;
    position: relative;
    padding: 15px;
}

.pengaturan .logo-small {
    width: 45px;
    height: 45px;
    object-fit: cover;
    border: solid 1px #F5F5F5;
    border-radius: 13px;
    box-shadow: 0 1px 4px #66666620;
}

.pengaturan .badge,
.best-seller {
    padding: 0 8px !important;
    height: 26px;
    line-height: 26px;
    color: #FFF !important
}

.pengaturan div.col-12 > button,
.btn-pojok {
    position: absolute;
    top: 0;
    right: 0;
    border-radius: 0 0 0 12px;
    z-index: 2;

    border: none;
    color: #FFF;
    background: #EBBE4C;
    font-size: 20px;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    padding: 0;
    box-sizing: border-box;
    box-shadow: -1px 1px 6px #44444430;
    transition: all .2s linear;
    outline: 0;
}

.pengaturan div.col-12 > button:hover {
    background: #d1a943;
    outline: 0;
}

.pengaturan div.col-12 > button:active {
    background: #b99029;
}

.pengaturan + .modal label:not(.custom-control-label) {
    font-size: 0.9em;
    color: #666;
    margin-bottom: 0.3em;
}

.logo-round {
    margin-right: 10px;
    width: 70px;
    height: 70px;
    border-radius: 14px;
    object-fit: cover;
    border: solid 1px #F5F5F5;
    box-shadow: 0 1px 4px #66666620;
}

/* Pengaturan Slider */
.slider {
    border-radius: 0;
    overflow: hidden;
}

.carousel-inner {
    width: 100%;
    height: 440px;
    display: flex;
}

.carousel-inner img {
    width: auto;
    height: 400px;
    object-fit: contain;
    object-position: center;
    border: solid 1px #CCC;
    margin: 10px auto;
    padding: 10px
}

.carousel-indicators {
    bottom: -10px;
}

.carousel-indicators li {
    width: 10px;
    height: 10px;
    border-radius: 5px;
    border-bottom: 0;
    border-top: 0;
    opacity: .4;
    background-color: #ff6417;
}

.carousel-indicators li.active {
    width: 22px;
    opacity: .7;
}

.btn-banner {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 35px;
    height: 35px;
    line-height: 37px;
    font-size: 18px;
    text-align: center;
    color: #FFF !important;
    border: 0;
    border-radius: 22px;
    padding: 0;
    margin: 0;
    transition: all .2s linear;
    padding-right: 0.1px;
}

.btn-banner + button {
    right: 50px;
    padding-right: 0;
}

.btn-banner:active,
.btn-banner:focus {
    outline: none;
}

/* Import Pengaturan */
.import ol {
    margin: 0;
    padding: 0 0 0 15px;
}

.import ol li {
    padding-left: 6px;
    line-height: 2.0;
}

.import .badge {
    position: relative;
    top: -2px;
}

.import form > div {
    margin: 20px 0;
    padding: 20px;
    text-align: center;
    border-radius: 4px;
    background-color: #cdd7e3;
}

/* --- DASHBOARD --- */
/* Covid */
.covid > div {
    padding: 10px;
    margin: 0 15px 15px;
    border-radius: 10px;
}

.covid h5 {
    margin: 5px 0 0 0;
}

.covid small {
    font-size: 13px;
    color: #888;
}

#modal-covid input {
    font-size: 18px;
}


/* Jquery validate */
.form-control.error:focus,
.form-select.error:focus {
    box-shadow: 0 0 0 0.2rem rgba(253, 7, 7, 0.2);
    border-color: #fe8686;
}

label.error {
    position: relative;
    margin: 5px 0 10px 0;
    font-size: 13px;
    color: #c32c27;
    letter-spacing: 0;
    text-transform: none;
    text-align: left;
    display: block;
}

/* Custom css air datepicker */
#datepickers-container {
    z-index: 9999;
}

.form-control.datepicker-here[readonly] {
    background-color: #FFF;
}

/* Custom css bootstrap */
.btn {
    border-radius: 6px;
    font-family: inherit;
    font-size: 15px;
    padding-left: 20px;
    padding-right: 20px;
}

.form-control {
    font-size: 15px;
}

.badge {
    padding: .25em .4em .32em;
}

.modal-content {
    border-radius: 10px;
}

.konten-detail h5 {
    line-height: 1.5 !important;
}

.nav-custom {
    border-bottom: 0;
}

.nav-custom .nav-link {
    border-radius: 20px;
    padding: .5rem 1.3rem;
    background-color: #2667ad;
    color: #FFF;
    margin-right: 10px;
    transition: all .2s linear;
}

.nav-custom .nav-link.active {
    background-color: #FFF;
}

.nav-custom .nav-link:hover {
    border-color: transparent;
    background: #3e7cbc;
    color: #FFF;
}

.page-item .page-link {
    padding: 0 8px;
    height: 35px;
    min-width: 35px;
    width: auto;
    text-align: center;
    line-height: 35px;
    margin-left: 5px;
    border-radius: 20px;
    transition: all .2s linear;
}

.page-item:first-child .page-link {
    border-radius: 20px;
}

.page-item:last-child .page-link {
    border-radius: 20px
}

.page-item.none .page-link {
    cursor: default;
}

.page-item.active .page-link {
    border-bottom-left-radius: 0.80rem !important;
    color: #FFF !important;
    cursor: default;
}

.form-login label.error {
    position: absolute;
    margin: 3px;
    text-align: right;
    right: 0;
    opacity: 1 !important;
    transform: unset !important;
}

.btn-password {
    border: 0;
    background-color: transparent;
    height: 31px;
    width: 31px;
    line-height: 34px;
    padding: 0 0 0 1px;
    position: absolute;
    right: 8px;
    top: 13px;
    border-radius: 16px;
    text-align: center;
    transition: all .2s ease-in-out;
}

.btn-password > i {
    color: #888;
    font-size: 18px;
}

.btn-password:hover > i {
    color: var(--bs-gray);
}

/* BS BG */
/* #1 */
.bg-light-light {
    color: #181c32;
    background-color: #f3f6f9;
}

.btn-light {
    color: #181c32;
    background-color: #f3f6f9;
    border-color: #f3f6f9;
    box-shadow: none;
}

.btn-light:hover,
.btn-light:focus {
    color: #181c32;
    background-color: #dae3ec;
    border-color: #d1dde8;
}

.btn-light:focus {
    box-shadow: 0 0 0 .2rem rgba(210, 213, 219, .5);
}

/* #2 */
.bg-light-success {
    color: #0bb783;
    background-color: #d7f9ef;
}

.btn.btn-light-success {
    color: #0bb783;
    background-color: #d7f9ef;
    border-color: transparent;
}

.btn.btn-light-success:hover,
.btn.btn-light-success:focus {
    color: #fff;
    background-color: #0bb783;
}

.btn.btn-light-success:focus {
    box-shadow: 0 0 0 .2rem rgba(11, 183, 131, .3);
}

/* #3 */
.bg-light-primary {
    color: #1bc5bd;
    background-color: #c9f7f5;
}

.btn.btn-light-primary {
    color: #1bc5bd;
    background-color: #c9f7f5;
    border-color: transparent;
}

.btn.btn-light-primary:hover,
.btn.btn-light-primary:focus {
    color: #fff;
    background-color: #1bc5bd;
}

.btn.btn-light-primary:focus {
    box-shadow: 0 0 0 .2rem #1bc5bd50;
}

/* #4*/
.bg-light-info {
    color: #8950fc;
    background-color: #eee5ff;
}

.btn.btn-light-info {
    color: #8950fc;
    background-color: #eee5ff;
    border-color: transparent
}

.btn.btn-light-info:hover,
.btn.btn-light-info:focus,
.btn.btn-light-info.hovered {
    color: #fff;
    background-color: #8950fc;
}

.btn.btn-light-info:focus {
    box-shadow: 0 0 0 .2rem #8950fc50;
}

/* #5*/
.bg-light-warning {
    color: #ffa800;
    background-color: #fff4de;
}

.btn.btn-light-warning {
    color: #ffa800;
    background-color: #fff4de;
    border-color: transparent
}

.btn.btn-light-warning:hover,
.btn.btn-light-warning:focus {
    color: #fff;
    background-color: #ffa800;
}

.btn.btn-light-warning:focus {
    box-shadow: 0 0 0 .2rem #ffa80050;
}

/* #6*/
.bg-light-danger {
    color: #f64e60;
    background-color: #ffe2e5;
}

.btn.btn-light-danger {
    color: #f64e60;
    background-color: #ffe2e5;
    border-color: transparent
}

.btn.btn-light-danger:hover,
.btn.btn-light-danger:focus {
    color: #fff;
    background-color: #f64e60;
}

.btn.btn-light-danger:focus {
    box-shadow: 0 0 0 .2rem #f64e6050;
}

/* datatables */
.dt-button {
    outline: 0;
    border: solid 1px #EEE;
    border-radius: 6px;
    padding: 0 20px;
    line-height: 36px;
    height: 36px;
    font-size: .9em;
    margin: 0 2px 5px 0;
    background-color: #eee;
    transition: all .2s ease-in-out;
}

.dt-button:hover {
    background-color: var(--primary);
    color: white;

}

@media (max-width: 500px) {
    .body {
        font-size: 14px;
    }

    .wrap-left {
        display: none;
    }

    .wrap-right {
        padding-left: 0;
        padding-right: 0;
        padding-top: 60px;
    }

    nav.right {
        padding: 0;
        width: 100%;
        box-sizing: content-box;
    }

    nav.right > form {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        margin-left: 17px;
    }

    nav.right > form input[type=text] {
        width: auto;
    }

    nav.right ul {
        margin-right: 20px;
        display: flex;
        justify-content: flex-end;
    }

    .back-content {
        border-radius: 0;
        overflow-x: auto;
    }

    /* Table */
    .back-content .table {
        margin-left: -20px;
    }

    .terlaris .table {
        margin-left: -10px;
    }

    .table tfoot span {
        display: block;
        width: 100%;
        text-align: left;
        margin-bottom: 10px;
    }

    .info {
        left: unset;
        transform: unset;
        width: 100%;
        text-align: center;
    }

    .dashboard-content {
        padding: 0 15px;
    }

    .right ul > a:nth-child(1) {
        display: none;
    }

    .terlaris > div {
        overflow: hidden;
    }

    .back-white {
        width: 100%;
    }

    nav.right img {
        width: 26px;
        height: 26px;
    }

    /* Judul */
    h1.title {
        text-align: center;
        font-size: 1.4em;
    }

    .button-top + h1.title,
    .button-top.import + h1.title,
    .button-top.delete + h1.title {
        width: 100%;
        display: block;
        text-align: center;
        left: 0;
        right: 0;
    }

    /* Menu top */
    .menu-mobile {
        position: fixed;
        top: 0;
        width: 100%;
        box-sizing: border-box;
        display: flex;
        justify-items: center;
        align-items: center;
        background-color: #00000040;
        z-index: 88;
        padding: 10px 20px;
    }

    .menu-mobile button {
        overflow: hidden;
        width: auto;
        height: 30px;
        text-align: center;
        font-size: 28px;
        padding: 0;
        color: #FFF;
        border-radius: 3px;
        border: 0;
        background-color: transparent;
    }

    .menu-mobile button:hover,
    .menu-mobile button:active {
        outline: 0;
    }

    .menu-mobile img {
        height: 20px;
        width: auto;
        margin-left: 10px;
    }

    .menu-mobile + nav.right {
        top: 40px;
        margin-top: -50px;
    }

    /* Button top */
    .button-top,
    .button-top:link,
    .button-top:visited {
        position: fixed;
        bottom: 20px;
        right: 20px;
        left: unset;
        top: unset;
        box-shadow: 0px 2px 5px #00000020;
    }

    .button-top.edit,
    .button-top.import {
        right: 65px;
    }

    .button-top.delete {
        right: 110px;
    }

    /* Menu */
    .open-menu {
        display: block;
        position: sticky;
    }

    .open-menu .menu-top button {
        display: block;
        position: fixed;
        top: 15px;
        right: 15px;
        border: solid 1px #eee;
        background-color: #FFF;
        border-radius: 15px;
        height: 30px;
        width: 30px;
        font-size: 22px;
        text-align: center;
        padding: 0;
    }

    .open-menu .menu-top img {
        display: none;
    }

    .wrap-left {
        display: block;
        width: 250px;
        min-width: 250px;
        max-width: 250px;
        left: -250px;
        position: fixed;
        transition: all 0.3s linear;
        z-index: 9999;
    }

    .wrap-left.open-menu {
        left: 0;
        z-index: 9999;
        box-shadow: 1px 1px 5px #55555520;
    }

    .menu-bottom {
        position: relative;
    }

    .pengaturan .py-3 {
        border-top: solid 1px #EEE;
    }

    .logo-round {
        margin: 0 auto 20px;
        display: block;
    }

    .custom-control-inline {
        margin-bottom: 6px;
    }

    .carousel-inner {
        height: 13em;
    }

    .carousel-inner img {
        height: 13em;
    }

}
